POST /api/proxies
POST body
User Object
Show properties
Show properties
integer
Port for the HTTP proxy
string
Set to
persist to save proxy into the configuration file.integer
Multiply the port definition given number of times
boolean
array
List of
users [string]. This option has to be used along with multiply_usersboolean
Enable SSL analyzing
string
Choose the SSL library
| value | description |
|---|---|
open_ssl | Open SSL Library |
flex_tls | Flex TLS Library |
string
Interface or IP to listen on
string
Customer name
string
Zone name
string
Zone password
string
Hostname or IP of super proxy
integer
Super proxy port
string
Determines what kind of connection will be used between Proxy Manager and Super Proxy
http | |
https | |
socks |
integer
Automatically retry on super proxy failure
boolean
Enable SSL connection/analyzing to insecure hosts
string
Country
string
State
string
City
string
ASN
string
Data Center IP
integer
gIP
array
A list of proxies from external vendors. Format: [username:password@]ip[:port]
- proxy[string]
string
Default username for external vendor ips
string
Default password for external vendor ips
integer
Default port for external vendor ips
string
DNS resolving
local | |
remote |
boolean
Process reverse lookup via DNS
string
Process reverse lookup via file
array
Process reverse lookup via value
string
Session for all proxy requests
boolean
Use session per requesting host to maintain IP per host
integer
boolean
Session pool size
integer
Throttle requests above given number
array
Proxy request rules
string
Block or allow requests to be automatically sent through super proxy on error
array
string
string
Operating System of the Peer IP
array
Request headers
- name[string]
- value[string]
string
Request debug info
full | |
none |
string
x-lpm-authorization header
boolean
integer
boolean
boolean
integer
string
boolean
Unblocker Mobile UA
string
Timezone ID to be used by the browser
string
Browser screen size
string
WebRTC plugin behavior in the browser
object
BW limit params
- days [integer]
- bytes [integer]
- renewable[boolean] - Renew limit of bytes each period or use single period and stop usage once last day of period is reached. Default is true
boolean
{
"port":24000,
"zone":"zone_name",
"proxy_type":"persist",
"customer":"customer_id",
"password":"password",
"whitelist_ips":[]
}
curl "http://127.0.0.1:22999/api/proxies" -H "Content-Type: application/json" -d '{"proxy":{"port":24000,"zone":"ZONE","proxy_type":"persist","customer":"CUSTOMER","password":"password","whitelist_ips":[]}}'
#!/usr/bin/env node
(async () => {
const response = await fetch('http://127.0.0.1:22999/api/proxies', {
method: 'POST',
headers: { 'Content-Type': 'application/json' },
body: JSON.stringify({'proxy':{'port':24000,'zone': 'ZONE','proxy_type':'persist','customer':'CUSTOMER','password':'password','whitelist_ips':[]}}),
});
const data = await response.text();
console.log(data);
})();
package example;
import org.apache.http.HttpHost;
import org.apache.http.client.fluent.*;
public class Example {
public static void main(String[] args) throws Exception {
String body = "{\"proxy\":{\"port\":24000,\"zone\":\"ZONE\",\"proxy_type\":\"persist\",\"customer\":\"CUSTOMER\",\"password\":\"password\",\"whitelist_ips\":[]}}";
String res = Executor.newInstance()
.execute(Request.Post("http://127.0.0.1:22999/api/proxies")
.bodyString(body, ContentType.APPLICATION_JSON))
.returnContent().asString();
System.out.println(res)
}
}